import http from '@/api'
import type { BaseEntity } from '@/typings/api'

export type CategoryEnum = 'image' | 'video' | 'audio' | 'doc' | 'other'

export interface StorageFile extends BaseEntity {
  name: string
  realName: string
  path: string
  url: string
  type: string
  category: CategoryEnum
  md5: string
  size: number
  businessId: string
  businessExtraId: string
}

export const upload = (file: File) => {
  const formData = new FormData()
  formData.append('file', file)
  return http.post<StorageFile>('/file/upload', formData)
}

export const deleteByIds = (ids: string[]) => {
  return http.delete('/file', ids)
}
