import http from '@/api'
import type { BaseEntity } from '@/typings/api'

export interface Dept extends BaseEntity {
  pid: string
  name: string
  sort: number
  leader: string
  children?: Dept[]
}

export interface DeptQuery {
  name?: string
}

export const getById = (id: string) => {
  return http.get<Dept>(`/dept/${id}`)
}

export const getOptions = (deptIds: string[]) => {
  return http.post<Dept[]>('/dept/options', deptIds)
}

export const search = (params: Recordable) => {
  return http.get<Dept[]>('/dept/search', params)
}

export const getChild = (pid: string) => {
  return http.get<Dept[]>(`/dept/child/${pid}`)
}

export const getTree = (deptQuery: DeptQuery) => {
  return http.get<Dept[]>('/dept/tree', deptQuery)
}
