import type { Component } from 'vue'

/**
 * 定义要渲染的组件（推荐异步加载），如果是全局注册可以不用引入
 */
const asyncComponents: Record<string, Component> = {
  Input: defineAsyncComponent(() => import('./Input.vue')),
  Textarea: defineAsyncComponent(() => import('./Textarea.vue')),
  Number: defineAsyncComponent(() => import('./Numner.vue')),
  Select: defineAsyncComponent(() => import('./Select.vue')),
  Radio: defineAsyncComponent(() => import('./Radio.vue')),
  Checkbox: defineAsyncComponent(() => import('./Checkbox.vue')),
  Date: defineAsyncComponent(() => import('./Date.vue')),
  DateRange: defineAsyncComponent(() => import('./DateRange.vue')),
  Time: defineAsyncComponent(() => import('./Time.vue')),
  TimeRange: defineAsyncComponent(() => import('./TimeRange.vue')),
  Switch: defineAsyncComponent(() => import('./Switch.vue')),
  Slider: defineAsyncComponent(() => import('./Slider.vue')),
  Rate: defineAsyncComponent(() => import('./Rate.vue')),
  FileUpload: defineAsyncComponent(() => import('./FileUpload.vue')),
  ImageUpload: defineAsyncComponent(() => import('./ImageUpload.vue')),
  Signature: defineAsyncComponent(() => import('./Signature.vue')),
  Divider: defineAsyncComponent(() => import('./Divider.vue')),
  UserSelector: defineAsyncComponent(() => import('./UserSelector.vue')),
  RoleSelector: defineAsyncComponent(() => import('./RoleSelector.vue')),
  OrgSelector: defineAsyncComponent(() => import('./OrgSelector.vue')),
  Calculation: defineAsyncComponent(() => import('./Calculation.vue')),
  Row: defineAsyncComponent(() => import('./Row.vue')),
  // Col: defineAsyncComponent(() => import('./Col.vue')),
  DynamicTable: defineAsyncComponent(() => import('./DynamicTable.vue')),
  ProcessSelector: defineAsyncComponent(() => import('./ProcessSelector.vue')),
  Custom: defineAsyncComponent(() => import('./Custom.vue')),
  Tabs: defineAsyncComponent(() => import('./Tabs.vue')),
  Tab: defineAsyncComponent(() => import('./Tab.vue')),
  Collapse: defineAsyncComponent(() => import('vant/es').then(({ Collapse }) => Collapse)),
  CollapseItem: defineAsyncComponent(() =>
    import('vant/es').then(({ CollapseItem }) => CollapseItem)
  )
}
export default asyncComponents
