import type { FormField } from '@/components/FormParser/type'

export const useSelect = function (field: FormField) {
  const { props } = field
  if (props.placeholder) {
    props.title = props.placeholder
  }
  if (Array.isArray(props.options)) {
    props.columns = props.options.map((opt) => {
      return {
        text: opt.label,
        value: opt.value
      }
    })
    delete props.options
  }
  delete props.style
}
