import type { BranchNode, FlowNode } from '@/api/modules/flow/flowDesign'

/**
 * 平铺节点
 * @param nodes
 */
export function flatNodes(nodes: FlowNode) {
  const all: FlowNode[] = []
  const loop = (node: FlowNode) => {
    all.push(node)
    if ('branches' in node) {
      const branchNode = node as BranchNode
      if (branchNode.branches && branchNode.branches.length > 0) {
        branchNode.branches.forEach((item) => {
          loop(item)
        })
      }
    }
    if (node.next) {
      loop(node.next)
    }
  }
  loop(nodes)
  return all
}
/**
 * url参数获取
 * @param url,
 * @param name
 */
export function getQueryString(url, name) {
  // 构造正则表达式，匹配 ? 或 & 后面跟随的参数名称和其值
  const regex = new RegExp('[?&]' + name + '=([^&#]*)', 'i');
  const result = regex.exec(url);
  return result ? decodeURIComponent(result[1]) : null;
}
